VARKON Version 1.16 1998-03-24

> ## screen_2 - Procedure

> 2 pointer positions in window coordinates
> Description
> Returns 2 positions entered by the user using the pointer (ie. mouse). Both positions are relative to X=Y=0 in the current graphical window (pixels). First position is recorded when the button is pressed and second position when the button is released. Different graphical traces or outlines of the pointer motion is available through the mode parameter.

> Syntax
> pos_2(win_id, p1, p2, mode)

> INT | win_id;
> VECTOR | p1;
> VECTOR | p2;
> INT | mode;

> Principal parameters

> win_id | - ID of window |
> p1 | - First position |
> p2 | - Second position |

> Optional parameters

> mode | - 0 = No outline
> | - 1 = Rectangle (Default)
> | - 2 = Dashed line
> | - 3 = Arrow

> Comments
> If the pointer button is released without having moved the pointer, screen_2 returns p1=p2.

VARKON Homepage | Index